Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 May 2021 17:23:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Mon, 17 May 2021 16:15:46 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Since we decided not to remove unexec in Emacs 28, we do need to keep
> > the unexec configuration working.  So I find it unfortunate that you
> > keep saying that, because the result is a direct contradiction of what
> > we decided.
> 
> Well, if we decided something at one point, we can decide something else
> now.

We can, but we really shouldn't in this case.  We never remove
obsolete features so quickly, and I see no reason to do this now.

> The question is whether it makes sense to spend time trying to fix
> something that's not being used.  Keeping unexec around in a broken
> state isn't very satisfying, and worries about unexec is what's stalling
> the removal of pure space, too.
> 
> So at this point I think I'd rather just remove unexec now instead of
> waiting until Emacs 29.

I see no reason for the rush, Emacs 28 is not around the corner
anyway.  We have enough new and important features there that will
take us time to shake out all the bugs and stabilize the codebase.

If no one else is willing to debug the unexec problems, I will do it
myself, at my own pace.  Just leave it to me.